clang 10.0.0git

Namespaces | Functions
ExpandResponseFilesCompilationDatabase.cpp File Reference
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/Triple.h"`
`#include "llvm/Support/CommandLine.h"`
`#include "llvm/Support/ConvertUTF.h"`
`#include "llvm/Support/ErrorOr.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/StringSaver.h"`
Include dependency graph for ExpandResponseFilesCompilationDatabase.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::tooling

## Functions
std::unique_ptr< CompilationDatabase > | clang::tooling::expandResponseFiles (std::unique_ptr< CompilationDatabase > Base, llvm::IntrusiveRefCntPtr< llvm::vfs::FileSystem > FS)
| Returns a wrapped CompilationDatabase that will expand all rsp(response) files on commandline returned by underlying database. More...